function qpexample(a,b)
% a is a matrix of EMs: Reaction*EMs
% b is a matrix of N*1
[a1,a2]=size(a);
lb=zeros(a2,1);
hb=100*ones(1,a2);
[s1,s2]=rref(a');
[stemp1,stemp2]=size(s2);

for i=1:1:stemp2
    opta(i,:)=a(s2(1,i),:);
    optb(i,1)=b(s2(1,i),1);
end

h=eye(a2);
f=zeros(a2,1);
options=optimset('largescale','off');
[emcs,fval,exitflag]=quadprog(h,f,[],[],opta,optb,lb,hb,[],options)


for i=1:1:a2
if emcs(i,1)<0
    emcs(i,1)=0;
end
end
save qpemcs.mat emcs
